Image::Info::AVIF(3)

NAME
Image::Info::AVIF - AV1 Image File Format support for Image::Info

SYNOPSIS
    use Image::Info qw(image_info);

    $info = image_info("image.avif");
    if($error = $info->{error}) {
        die "Can't parse image info: $error\n";
    }
    $color = $info->{color_type};

DESCRIPTION
This module supplies information about AVIF files within the Image::Info system. It supports the basic standard info key names.

SEE ALSO
Image::Info

AUTHOR
Andrew Main (Zefram) <zefram@fysh.org>

COPYRIGHT
Copyright (C) 2023 Andrew Main (Zefram) <zefram@fysh.org>

LICENSE
This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

ACKNOWLEDGEMENT
The development of this module was funded by Preisvergleich Internet Services AG.